﻿
$ErrorActionPreference = 'Stop';
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = 'https://download.microsoft.com/download/F/3/C/F3C64941-22A0-47E9-BC9B-1A19B4CA3E88/ENU/x86/SQLSysClrTypes.msi'
$url64      = 'https://download.microsoft.com/download/F/3/C/F3C64941-22A0-47E9-BC9B-1A19B4CA3E88/ENU/x64/SQLSysClrTypes.msi'

$packageArgs = @{
  packageName   = $env:ChocolateyPackageName
  unzipLocation = $toolsDir
  fileType      = 'MSI'
  url           = $url
  url64bit      = $url64

  softwareName  = 'Microsoft SQL Server System CLR Types for Server 2012*'

  checksum      = 'E52EE0E5F788F4381AD59FAA9EF9D2FA0DEC6831A94624B90933A0475F074C6D'
  checksumType  = 'sha256'
  checksum64    = 'F586F7E04803FE3FC197823608401297690FA21F8E09CF9D5A14459E10759608'
  checksumType64= 'sha256'

  silentArgs    = "/qn /norestart /l*v `"$($env:TEMP)\$($packageName).$($env:chocolateyPackageVersion).MsiInstall.log`""
  validExitCodes= @(0, 3010, 1641)
}

# If we are on a x64 system we need to install the x86 package as well.
$IsSystem32Bit = Get-ProcessorBits -Compare 32
if (!$IsSystem32Bit) {
  Write-Host 'Installing 32bit version with 64bit.'
  $packageArgs.url64bit = $params.url
  Install-ChocolateyPackage @packageArgs
  
  $packageArgs.url64bit = $params.url64bit
  Install-ChocolateyPackage @packageArgs
}
else {
  Write-Host 'Installing 32bit version.'
  Install-ChocolateyPackage @packageArgs
}






    








